Source
ServiceRadar
ServiceRadar API
API V2
Browse the current ServiceRadar API reference and download the OpenAPI document.
Source
ServiceRadar
ServiceRadar API
OpenAPI
3.0.0
API version 2
Operations
59
11 tags
Schemas
227
Cached 2026-04-05 18:45 UTC
API
Open the JSON artifact or use the upstream API reference tools.
/api/v2/agents
GET /api/v2/agents
/agents operation on agent resource
Parameters
filter
query
agent-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/agents
POST /api/v2/agents
Register a new agent (starts in connecting state)
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/agents/by-gateway/{gateway_id}
GET /api/v2/agents/by-gateway/{gateway_id}
/agents/by-gateway/:gateway_id operation on agent resource
Parameters
gateway_id
path
required
string
filter
query
agent-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/agents/{id}
GET /api/v2/agents/{id}
/agents/:id operation on agent resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
uid
query
required
string
Responses
/api/v2/agents/{id}
PATCH /api/v2/agents/{id}
/agents/:id operation on agent resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/agents/{id}/connect
PATCH /api/v2/agents/{id}/connect
Mark agent as connected (from connecting state)
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/agents/{id}/degrade
PATCH /api/v2/agents/{id}/degrade
Mark agent as degraded (connected but unhealthy)
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/agents/{id}/disconnect
PATCH /api/v2/agents/{id}/disconnect
Mark agent as disconnected (connection lost)
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/agents/{id}/heartbeat
PATCH /api/v2/agents/{id}/heartbeat
Update last_seen_time and health status (for connected agents)
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/alerts
GET /api/v2/alerts
/alerts operation on alert resource
Parameters
filter
query
alert-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/alerts
POST /api/v2/alerts
Trigger a new alert
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/alerts/active
GET /api/v2/alerts/active
All active (non-resolved) alerts
Parameters
filter
query
alert-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/alerts/pending
GET /api/v2/alerts/pending
Alerts awaiting acknowledgement
Parameters
filter
query
alert-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/alerts/{id}
GET /api/v2/alerts/{id}
/alerts/:id operation on alert resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/alerts/{id}/acknowledge
PATCH /api/v2/alerts/{id}/acknowledge
Acknowledge an alert
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/alerts/{id}/resolve
PATCH /api/v2/alerts/{id}/resolve
Resolve an alert
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/devices
GET /api/v2/devices
/devices operation on device resource
Parameters
filter
query
device-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
include_deleted
query
boolean
Responses
/api/v2/devices/{id}
GET /api/v2/devices/{id}
/devices/:id operation on device resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
uid
query
required
string
include_deleted
query
boolean
Responses
/api/v2/device-groups
GET /api/v2/device-groups
/device-groups operation on device-group resource
Parameters
filter
query
device-group-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/device-groups
POST /api/v2/device-groups
/device-groups operation on device-group resource
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/device-groups/{id}
GET /api/v2/device-groups/{id}
/device-groups/:id operation on device-group resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/device-groups/{id}
PATCH /api/v2/device-groups/{id}
/device-groups/:id operation on device-group resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/device-groups/{id}
DELETE /api/v2/device-groups/{id}
/device-groups/:id operation on device-group resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/device-cleanup-settings
GET /api/v2/device-cleanup-settings
Get the singleton cleanup settings
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/device-cleanup-settings
POST /api/v2/device-cleanup-settings
Create device cleanup settings
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/device-cleanup-settings/{id}
PATCH /api/v2/device-cleanup-settings/{id}
Update device cleanup settings
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways
GET /api/v2/gateways
/gateways operation on gateway resource
Parameters
filter
query
gateway-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways
POST /api/v2/gateways
Register a new gateway (starts in healthy state)
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/active
GET /api/v2/gateways/active
All active gateways
Parameters
filter
query
gateway-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}
GET /api/v2/gateways/{id}
/gateways/:id operation on gateway resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/activate
PATCH /api/v2/gateways/{id}/activate
Activate an inactive gateway
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/deactivate
PATCH /api/v2/gateways/{id}/deactivate
Deactivate a gateway (admin action)
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/degrade
PATCH /api/v2/gateways/{id}/degrade
Mark gateway as degraded (having issues)
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/drain/finish
PATCH /api/v2/gateways/{id}/drain/finish
Finish draining, go offline
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/drain/start
PATCH /api/v2/gateways/{id}/drain/start
Start graceful shutdown (draining)
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/heartbeat
PATCH /api/v2/gateways/{id}/heartbeat
Update last_seen and health status
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/maintenance/end
PATCH /api/v2/gateways/{id}/maintenance/end
End maintenance mode, return to healthy
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/maintenance/start
PATCH /api/v2/gateways/{id}/maintenance/start
Put gateway into maintenance mode
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/offline
PATCH /api/v2/gateways/{id}/offline
Mark gateway as offline
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/recover
PATCH /api/v2/gateways/{id}/recover
Start recovery process for degraded/offline gateway
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/gateways/{id}/restore
PATCH /api/v2/gateways/{id}/restore
Restore gateway to healthy state
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/interfaces
GET /api/v2/interfaces
/interfaces operation on interface resource
Parameters
filter
query
interface-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/interface-classification-rules
GET /api/v2/interface-classification-rules
/interface-classification-rules operation on interface_classification_rule resource
Parameters
filter
query
interface_classification_rule-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/interface-classification-rules/{id}
GET /api/v2/interface-classification-rules/{id}
/interface-classification-rules/:id operation on interface_classification_rule resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/interface-settings
GET /api/v2/interface-settings
/interface-settings operation on interface_setting resource
Parameters
filter
query
interface_setting-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/interface-settings
POST /api/v2/interface-settings
Create or update interface settings
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/interface-settings/by-interface/{device_id}/{interface_uid}
GET /api/v2/interface-settings/by-interface/{device_id}/{interface_uid}
Get settings for a specific interface
Parameters
device_id
path
required
string
interface_uid
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/interface-settings/{id}
PATCH /api/v2/interface-settings/{id}
/interface-settings/:id operation on interface_setting resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/poll-jobs
GET /api/v2/poll-jobs
/poll-jobs operation on poll-job resource
Parameters
filter
query
poll-job-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/poll-jobs/by-schedule/{schedule_id}
GET /api/v2/poll-jobs/by-schedule/{schedule_id}
/poll-jobs/by-schedule/:schedule_id operation on poll-job resource
Parameters
schedule_id
path
required
string
filter
query
poll-job-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/poll-jobs/pending
GET /api/v2/poll-jobs/pending
All pending jobs
Parameters
filter
query
poll-job-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/poll-jobs/running
GET /api/v2/poll-jobs/running
All running jobs
Parameters
filter
query
poll-job-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/poll-jobs/{id}
GET /api/v2/poll-jobs/{id}
/poll-jobs/:id operation on poll-job resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/service-checks
GET /api/v2/service-checks
/service-checks operation on service-check resource
Parameters
filter
query
service-check-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
page
query
object
Paginates the response with the limit and offset or keyset pagination.
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/service-checks
POST /api/v2/service-checks
/service-checks operation on service-check resource
Parameters
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/service-checks/enabled
GET /api/v2/service-checks/enabled
All enabled checks
Parameters
filter
query
service-check-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/service-checks/failing
GET /api/v2/service-checks/failing
Checks with consecutive failures
Parameters
filter
query
service-check-filter
Filters the query to results with attributes matching the given filter object
sort
query
string
Sort order to apply to the results
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/service-checks/{id}
GET /api/v2/service-checks/{id}
/service-checks/:id operation on service-check resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
/api/v2/service-checks/{id}
PATCH /api/v2/service-checks/{id}
/service-checks/:id operation on service-check resource
Parameters
id
path
required
string
include
query
string
Relationship paths to include in the response
fields
query
object
Limits the response fields to only those listed for each type
Responses
We can't find the internet
Attempting to reconnect
Something went wrong!
Attempting to reconnect